.login {
    margin-left: auto;
}

h1 {
    margin-top: 2%;
}

.timer {
    text-align: center;
}

.draw-set {
    display: flex;
    justify-content: center;
}

.draw-area {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
    position: relative;
}

#canvas-wrap {
    width: 600px;
    height: 400px;
}

.toolbox {
    box-sizing: border-box;
    height: 400px;
    border: solid 1px #000;
    padding: 10px;
    text-align: start;
    margin-left: 5%;
}

.toolbox input[type="radio"] {
    accent-color: blue;
    inline-size: 1.5em;
    block-size: 1.5em;
}

.toolbox label {
    padding: 0.1em 1em;
    width: 5em;
    color: #fff;
}

.toolbox label[for="pen"],
#pen {
    accent-color: black;
    background-color: black;
}

.toolbox label[for="eraser"],
#eraser {
    accent-color: black;
    background-color: white;
    color: black;
}

.toolbox label[for="colorRed"],
#colorRed {
    accent-color: red;
    background-color: red;
}

.toolbox label[for="colorBlue"],
#colorBlue {
    accent-color: blue;
    background-color: blue;
}

.toolbox label[for="colorGreen"],
#colorGreen {
    accent-color: green;
    background-color: green;
}

.toolbox label[for="colorBlack"],
#colorBlack {
    accent-color: black;
    background-color: black;
}

.toolbox label[for="colorWhite"],
#colorWhite {
    accent-color: white;
    background-color: white;
    color: black;
}

#text-contents {
    width: 600px;
    font-size: x-large;
    min-height: 3em;
}

#title {
    margin: 10px;
    font-size: x-large;
}

.button.primary {
    background-color: #007BFF;
    color: white;
    cursor: pointer;
    width: 20%;
    padding: 12px;
    border: none;
    border-radius: 4px;
    text-align: center;
}

.button.primary:hover {
    background-color: #0056b3;
}

#error {
    color: red;
}


@media screen and (max-width: 750px) {

    .draw-set {
        display: flex;
        flex-direction: column;
    }

    .toolbox {
        box-sizing: border-box;
        height: fit-content;
        border: solid 1px #000;
        padding: 10px;
        text-align: center;
        margin: auto;
    }

    #text-contents {
        width: 80%;
        font-size: x-large;
        min-height: 3em;
    }

    #posted-img {
        width: 80%;
        height: auto;
    }

    /* inputtextbox */
    #title {
        margin: 1%;
        font-size: large;
    }

    .title {
        margin-bottom: 3%;
    }

    #canvas-wrap {
        padding: 0.5em;
        aspect-ratio: 3/2;
        width: 100vw;
        height: auto;
    }
}